/* set up your libname */
libname big 'xxx';

ods _all_ close; 
ods listing image_dpi=200 style=htmlBlue;
ods graphics / reset width=5in imagename='heatmap';

data heatmap_num;
  set big.air_ontime_2012_q1;
  keep crs_dep_time dep_time distance arr_delay;
  format dep_time time5.;
  dep_time = input(put(crs_dep_time, Z4.), hhmmss8.);
run;

data rangeMapData;
  length min $5 max $5 colorModel1 $12 colorModel2 $12;
  input min $ max $ colorModel1 $ colorModel2 $;
  retain id "myid";
  datalines;
  _min_ 0     green  yellow
  0     _max_ orange red
  ;
  run;

proc sgplot data=heatmap_num rAttrMap=rangeMapData;
title "2012 Q1 Airline Delays by Departure Time & Distance";
label dep_time="Departure Time"
      arr_delay="Arrival Delay (mins)"
      distance="Distance (miles)";
  heatmap x=dep_time y=distance / name="heatmap"
    colorResponse=arr_delay rAttrId=myid colorstat=mean
    nxbins=40 nybins=40
    outline outlineAttrs=(color=white);
  run;
title;
