/* set up your libname */
libname big 'xxx';

ods _all_ close; 
ods listing image_dpi=200 style=htmlBlue;
ods graphics / width=5in imagename="scatter";

proc sort data=big.air_ontime_2012_q1 out=big.sorted_ontime;
 by day_of_week;
run;

proc format;
  value num2downame
    1 = 'Mon' 2 = 'Tue' 3 = 'Wed' 4 = 'Thu' 5 = 'Fri' 6 = 'Sat' 7 = 'Sun'
    ;
run;

data scatter_vars;
  set big.sorted_ontime(keep=unique_carrier arr_delay day_of_week);
run;

proc sgplot data=scatter_vars ;
title "2012 Q1 Airline Arrival Delays by Week day";
  label unique_carrier="Unique Carrier Code"
        arr_delay="Arrival Delay (mins)"
        day_of_week="Day of the Week";
  format day_of_week num2downame.;  /* Map 1..7 to Mon..Sun */
  scatter x=unique_carrier y=day_of_week /
    markerAttrs=(symbol=squareFilled size=20)
    colorResponse=arr_delay
    colorModel=(white red) transparency=0.5 ;
  run;
title;
